#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_NU2(void)
{
#if (PRO_NU2)
if(GetCluType() == STD_CFG) {
//    SetTelltalePos("SingleSegmentCodeLED",              SingleSegmentCodeLED);
//    SetTelltalePos("DoubleSegmentCodeLED",              DoubleSegmentCodeLED);
    SetTelltalePos("HighBeam",              HighBeam);
    SetTelltalePos("HBAGreen",              HBAGreen);
    SetTelltalePos("HBAWhite",              HBAWhite);
    SetTelltalePos("LowBeam",                LowBeam);
    SetTelltalePos("LeftTurn",              LeftTurn);
    SetTelltalePos("RightTurn",            RightTurn);
    SetTelltalePos("TailLamp",              TailLamp);
    SetTelltalePos("RearFog",                RearFog);
    SetTelltalePos("EPB",                        EPB);
    SetTelltalePos("Tpms",                      Tpms);
    SetTelltalePos("Immobilizer",        Immobilizer);
    SetTelltalePos("ParkingBreak",      ParkingBreak);
    SetTelltalePos("ABS",                        ABS);
    SetTelltalePos("SeatBelt",              SeatBelt);
    SetTelltalePos("ESC",                        ESC);
    SetTelltalePos("EscOff",                  EscOff);
    SetTelltalePos("InteriorLamp",      InteriorLamp);
    SetTelltalePos("FcaYellow",            FcaYellow);
    SetTelltalePos("FcaRed",                  FcaRed);
    SetTelltalePos("DpfGpf",                  DpfGpf);
    SetTelltalePos("Mdps",                      Mdps);
    SetTelltalePos("BatteryCharge",    BatteryCharge);
    SetTelltalePos("AirBag",                  AirBag);
    SetTelltalePos("OilPressure",        OilPressure);
    SetTelltalePos("CheckEngine",        CheckEngine);
    SetTelltalePos("AllLedOpen",          AllLedOpen);
    SetTelltalePos("LowFuel",     DMS_RestoreDefault);
}
else if(GetCluType() == SVC_CFG){
    SetTelltalePos("LeftTurn",              LeftTurn);
    SetTelltalePos("DpfGpf",                  DpfGpf);
    SetTelltalePos("CheckEngine",        CheckEngine);
    SetTelltalePos("BatteryCharge",    BatteryCharge);
    SetTelltalePos("AirBag",                  AirBag);
    SetTelltalePos("ABS",                        ABS);
    SetTelltalePos("Tpms",                      Tpms);
    SetTelltalePos("RearFog",                RearFog);
    SetTelltalePos("TailLamp",              TailLamp);
    SetTelltalePos("HighBeam",              HighBeam);
    SetTelltalePos("LowBeam",                LowBeam);
    SetTelltalePos("HBAGreen",              HBAGreen);
    SetTelltalePos("HBAWhite",              HBAWhite);
    SetTelltalePos("FcaYellow",            FcaYellow);
    SetTelltalePos("FcaRed",                  FcaRed);
    SetTelltalePos("OilPressure",        OilPressure);
    SetTelltalePos("Mdps",                      Mdps);
    SetTelltalePos("RightTurn",            RightTurn);
    SetTelltalePos("SeatBelt",              SeatBelt);
    SetTelltalePos("LfaHdaGreen",        LfaHdaGreen);
    SetTelltalePos("LfaHdaWhite",        LfaHdaWhite);
    SetTelltalePos("LfaHdaGray",          LfaHdaGray);
    SetTelltalePos("LdwLkaGreen",        LdwLkaGreen);
    SetTelltalePos("LdwLkaGray",          LdwLkaGray);
    SetTelltalePos("LdwLkaYellow",      LdwLkaYellow);
    SetTelltalePos("ISG Green",             IsgGreen);
    SetTelltalePos("ISG Yellow",           IsgYellow);
    SetTelltalePos("ISG White",             IsgWhite);
    SetTelltalePos("ISLA",                      ISLA);
    SetTelltalePos("Immobilizer",        Immobilizer);
    SetTelltalePos("EPB",                        EPB);
    SetTelltalePos("AutoHoldYellow",  AutoHoldYellow);
    SetTelltalePos("AutoHoldGreen",    AutoHoldGreen);
    SetTelltalePos("AutoHoldWhite",    AutoHoldWhite);   
    SetTelltalePos("ParkingBreak",      ParkingBreak);
    SetTelltalePos("IceWarning",          IceWarning);
    SetTelltalePos("ESC",                        ESC);
    SetTelltalePos("EscOff",                  EscOff);
    SetTelltalePos("LowFuel",     DMS_RestoreDefault);
    SetTelltalePos("ECO",                DMS_Led_ECO);
    SetTelltalePos("SPORT",            DMS_Led_Sport);
    SetTelltalePos("SMART Comfort",   DMS_Led_Smart_ComfortColor);
    SetTelltalePos("SMART Eco",       DMS_Led_Smart_EcoColor);
    SetTelltalePos("SMART Sport",     DMS_Led_Smart_SportColor);
    SetTelltalePos("SMART Smart",     DMS_Led_Smart_SmartColor);
    SetTelltalePos("Snow",              DMS_Led_Snow);
    SetTelltalePos("Mud",                DMS_Led_Mud);
    SetTelltalePos("Sand",              DMS_Led_Sand);
    SetTelltalePos("RestoreDefault",        DMS_RestoreDefault);
}

#endif
}


